gi-pango-1.0.23: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Pango.Objects.EngineLang

Contents

- Exported types
- Methods
  - Overloaded methods

Description

The `EngineLang` class is implemented by engines that customize the rendering-system independent part of the Pango pipeline for a particular script or language. For instance, a custom `EngineLang` could be provided for Thai to implement the dictionary-based word boundary lookups needed for that language.

Synopsis

- newtype EngineLang = EngineLang (ManagedPtr EngineLang)
- class (GObject o, IsDescendantOf EngineLang o) => IsEngineLang o
- toEngineLang :: (MonadIO m, IsEngineLang o) => o -> m EngineLang

# Exported types

newtype EngineLang Source #

Memory-managed wrapper type.

Constructors

EngineLang (ManagedPtr EngineLang) |

#### Instances

Instances details

Eq EngineLang Source # |
Instance details Defined in GI.Pango.Objects.EngineLang Methods (==) :: EngineLang -> EngineLang -> Bool # (/=) :: EngineLang -> EngineLang -> Bool #
GObject EngineLang Source # |
Instance details Defined in GI.Pango.Objects.EngineLang
TypedObject EngineLang Source # |
Instance details Defined in GI.Pango.Objects.EngineLang Methods glibType :: IO GType Source #
ManagedPtrNewtype EngineLang Source # |
Instance details Defined in GI.Pango.Objects.EngineLang Methods toManagedPtr :: EngineLang -> ManagedPtr EngineLang Source #
IsGValue EngineLang Source # | Convert `EngineLang` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Pango.Objects.EngineLang Methods toGValue :: EngineLang -> IO GValue Source # fromGValue :: GValue -> IO EngineLang Source #
HasParentTypes EngineLang Source # |
Instance details Defined in GI.Pango.Objects.EngineLang
type ParentTypes EngineLang Source # |
Instance details Defined in GI.Pango.Objects.EngineLang type ParentTypes EngineLang = '[Engine, Object]

class (GObject o, IsDescendantOf EngineLang o) => IsEngineLang o Source #

Type class for types which can be safely cast to `EngineLang`, for instance with `toEngineLang`.

#### Instances

Instances details

(GObject o, IsDescendantOf EngineLang o) => IsEngineLang o Source # |
Instance details Defined in GI.Pango.Objects.EngineLang

toEngineLang :: (MonadIO m, IsEngineLang o) => o -> m EngineLang Source #

Cast to `EngineLang`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods